dde-cooperation (1.1.21) unstable; urgency=medium

  * chore: Update version to 1.1.21.
  * fix: Implement graceful shutdown process in TransferHelper
  * fix: Fix network connect tips
  * fix: Fix not show offline device if not same subnet.
  * fix: Fix not show device for NotAllow mode
  * fix: Fix transfer dialog still show issue

 -- re2zero <yangwu@uniontech.com>  Fri, 10 Oct 2025 13:31:19 +0800

dde-cooperation (1.1.20) unstable; urgency=medium

  * chore: Update version to 1.1.20.
  * fix: Fix some UI issues.
  * fix: Add delay before application exit to ensure config is saved
  * fix: Disable search by self IP

 -- re2zero <yangwu@uniontech.com>  Thu, 18 Sep 2025 19:02:33 +0800

dde-cooperation (1.1.19) unstable; urgency=medium

  * chore: Update version to 1.1.19.
  * fix: Update notification handling to prevent showing in notification center
  * fix: disable logging for sensitive information

 -- re2zero <yangwu@uniontech.com>  Thu, 11 Sep 2025 13:56:43 +0800

dde-cooperation (1.1.18) unstable; urgency=medium

  * chore: Update version to 1.1.18. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Wed, 20 Aug 2025 14:23:54 +0800

dde-cooperation (1.1.17) unstable; urgency=medium

  * chore: Update version to 1.1.16

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 14 Aug 2025 11:30:59 +0800

dde-cooperation (1.1.16) unstable; urgency=medium

  * chore: Update version to 1.1.13
  * feat: Add lo translation

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 13 Aug 2025 16:08:52 +0800

dde-cooperation (1.1.15) unstable; urgency=medium

  * Update version to 1.1.15.

 -- Tian ShiLin <tianshilin@uniontech.com>  Fri, 08 Aug 2025 13:02:35 +0800

dde-cooperation (1.1.14) unstable; urgency=medium

  * v1.1.14 version update.
  * fix: Enhance cooperation status management

 -- re2zero <yangwu@uniontech.com>  Thu, 07 Aug 2025 16:36:29 +0800

dde-cooperation (1.1.13) unstable; urgency=medium

  * chore: Update deepin-manual resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 09 Jul 2025 15:49:47 +0800

dde-cooperation (1.1.12) unstable; urgency=medium

  * v1.1.12 version update.
  * chore: update translation.
  * chore: more logs.

 -- re2zero <yangwu@uniontech.com>  Thu, 03 Jul 2025 16:02:26 +0800

dde-cooperation (1.1.11) unstable; urgency=medium

  * update version to 1.1.11.

 -- Tian ShiLin <tianshilin@uniontech.com>  Tue, 01 Jul 2025 21:56:22 +0800

dde-cooperation (1.1.10) unstable; urgency=medium

  * v1.1.10 version update.
  * chore: clear up en translation.

 -- re2zero <yangwu@uniontech.com>  Fri, 27 Jun 2025 17:37:00 +0800

dde-cooperation (1.1.9) unstable; urgency=medium

  * v1.1.9 version update.
  * fix: Fix dman icon show.

 -- re2zero <yangwu@uniontech.com>  Tue, 24 Jun 2025 17:23:45 +0800

dde-cooperation (1.1.8) unstable; urgency=medium

  * chore: New version 1.1.8.

 -- xiepengfei <xiepengfei@uniontech.com>  Mon, 23 Jun 2025 12:09:21 +0800

dde-cooperation (1.1.7) unstable; urgency=medium

  * v1.1.7 version update.
  * fix: Fix screen rotation issues.
  * fix: Ensure timer management in ShareHelper.

 -- re2zero <yangwu@uniontech.com>  Sun, 22 Jun 2025 14:58:28 +0800

dde-cooperation (1.1.6) unstable; urgency=medium

  * v1.1.6 version update.
  * fix: Handle network errors.
  * chore: Update dman's resources.

 -- re2zero <yangwu@uniontech.com>  Thu, 19 Jun 2025 20:13:15 +0800

dde-cooperation (1.1.5) unstable; urgency=medium

  * v1.1.5 version update.
  * fix: Introduce IPC name generation for service management.
  * fix: Fix coredump.

 -- re2zero <yangwu@uniontech.com>  Wed, 18 Jun 2025 11:49:02 +0800

dde-cooperation (1.1.4) unstable; urgency=medium

  * v1.1.4 version update.
  * feat: Add NAT IP mapping solution.
  * fix: Enhance wallpaper setting functionality.
  * fix: Fix some issues.
  * more logs.

 -- re2zero <yangwu@uniontech.com>  Thu, 12 Jun 2025 18:55:00 +0800

dde-cooperation (1.1.3) unstable; urgency=medium

  * v1.1.3 version update.
  * fix: Fix start avahi service failed issue.

 -- re2zero <yangwu@uniontech.com>  Mon, 19 May 2025 19:20:35 +0800

dde-cooperation (1.1.2) unstable; urgency=medium

  * v1.1.2 version update.
  * fix: Fix crash issue after network change.

 -- re2zero <yangwu@uniontech.com>  Tue, 29 Apr 2025 19:21:18 +0800

dde-cooperation (1.1.1) unstable; urgency=medium

  * v1.1.1 version update.
  * fix: Fix miss the dynamic library issue.

 -- re2zero <yangwu@uniontech.com>  Fri, 25 Apr 2025 15:55:10 +0800

dde-cooperation (1.1.0) unstable; urgency=medium

  * v1.1.0 version update.
  * feat: refactoring code structure.

 -- re2zero <yangwu@uniontech.com>  Thu, 24 Apr 2025 19:55:10 +0800

dde-cooperation (1.0.12) unstable; urgency=medium

  * v1.0.12 version update.
  * feat: Remove displayjack kvm depend.

 -- re2zero <yangwu@uniontech.com>  Thu, 27 Mar 2025 13:25:42 +0800

dde-cooperation (1.0.11) unstable; urgency=medium

  * v1.0.11 version update.

 -- re2zero <yangwu@uniontech.com>  Thu, 20 Mar 2025 18:55:55 +0800

dde-cooperation (1.0.10) unstable; urgency=medium

  * v1.0.10 version update.
  * Fix work with compat target issue.
  * Fix close dialog not show in center.
  * fix: Fix incorrect default setting.
  * fix: Fix dialog does not show in center.
  * fix: Fix notification do not update issue.

 -- re2zero <yangwu@uniontech.com>  Thu, 20 Feb 2025 19:33:13 +0800

dde-cooperation (1.0.9) unstable; urgency=medium

  * v1.0.9 version update.
  * fix: fix CI build issue.

 -- re2zero <yangwu@uniontech.com>  Mon, 20 Jan 2025 17:30:43 +0800

dde-cooperation (1.0.8) unstable; urgency=medium

  * v1.0.8 version update.
  * [ipc]Enable Qt6 support.
  * fix: Workaround notification incorrect issue.
  * Fix light style issue.
  * [vnc]Fix display incorrect image issue.

 -- re2zero <yangwu@uniontech.com>  Mon, 20 Jan 2025 15:30:43 +0800

dde-cooperation (1.0.7) unstable; urgency=medium

  * v1.0.7 version update.

 -- re2zero <yangwu@uniontech.com>  Thu, 2 Jan 2025 02:57:05 +0800

dde-cooperation (1.0.6) unstable; urgency=medium

  * v1.0.6 version update.
  * fix: Fix resource release
  * fix: [dt]Disable compat for datatransfer
  * fix: Fix memory leak

 -- re2zero <yangwu@uniontech.com>  Thu, 26 Dec 2024 02:57:05 +0800

dde-cooperation (1.0.5) unstable; urgency=medium

  * v1.0.5 version update.
  * chore: [ci]Change msvc action
  * chore: Change depending
  * fix: Fix file transfer was freezed
  * feat: Add download link

 -- re2zero <yangwu@uniontech.com>  Sat, 14 Dec 2024 04:28:55 +0800

dde-cooperation (1.0.4) unstable; urgency=medium

  * v1.0.4 version update.
  * fix: Fix it still continue cooperation even has been canceled
  * chore: Rename daemon backend and remove unused codes
  * fix: Fix incorrect status issue
  * feat: [plugin]Move the file deliver plugin from extension project
  * fix: Fix file delivery and single app show issue

 -- re2zero <yangwu@uniontech.com>  Sat, 07 Dec 2024 11:19:12 +0800

dde-cooperation (1.0.3) unstable; urgency=medium

  * v1.0.3 version update.
  * fix: [ui]workaround crash on treeland.
  * refactor: [compat]Add macro define for compatibile mode

 -- re2zero <yangwu@uniontech.com>  Sat, 30 Nov 2024 01:16:56 +0800

dde-cooperation (1.0.2) unstable; urgency=medium

  * v1.0.2 version update.
  * feat: [cast]Update QR with url
  * fix: [ui]Fix some ui layout issues
  * fix: [share]Terminate all process before start one
  * fix: [share]Make the peripheral share controlable by setting
  * fix: Fix the vnc view not change mode if mobile has changed show mode
  * fix: [memory leaks] Fix memory leaks

 -- re2zero <yangwu@uniontech.com>  Thu, 21 Nov 2024 04:55:18 +0800

dde-cooperation (1.0.1) unstable; urgency=medium

  * v1.0.1 version update.
  * fix some issues.

 -- re2zero <yangwu@uniontech.com>  Fri, 01 Nov 2024 11:52:26 +0800

dde-cooperation (0.9.2) unstable; urgency=medium

  * v0.9.2 version update.
  * fix some issues.

 -- re2zero <yangwu@uniontech.com>  Tue, 08 Oct 2024 15:08:16 +0800

dde-cooperation (0.9.1) unstable; urgency=medium

  * v0.9.1 version update.
  * fix discovery issue with old protocol version.

 -- re2zero <yangwu@uniontech.com>  Fri, 20 Sep 2024 14:16:16 +0800

dde-cooperation (0.9.0) unstable; urgency=medium

  * v0.9.0 version update.
  * added a new communication method that is compatible with previous versions.

 -- liujinchang <liujinchang@uniontech.com>  Wed, 28 Aug 2024 09:51:44  +0800

dde-cooperation (0.8.0) unstable; urgency=medium

  * v0.8.0 version update.
  * refactor structure and reimplement.

 -- re2zero <yangwu@uniontech.com>  Fri, 17 May 2024 16:46:16 +0800

dde-cooperation (0.7.11) unstable; urgency=medium

  * v0.7.11 release version.
  * fix some bug.

 -- liujinchang <liujinchang@uniontech.com>  Mon, 13 May 2024 14:40:51 +0800

dde-cooperation (0.7.10) unstable; urgency=medium

  * v0.7.10 release version.
  * fix wifi network.

 -- liujinchang <liujinchang@uniontech.com>  Thu, 18 Apr 2024 15:14:27 +0800

dde-cooperation (0.7.9) unstable; urgency=medium

  * v0.7.9 release version.
  * fix some backend issues.

 -- liujinchang <liujinchang@uniontech.com>  Fri, 12 Apr 2024 15:48:56 +0800

dde-cooperation (0.7.8) unstable; urgency=medium

  * v0.7.8 release version.
  * fix some backend issues.

 -- liujinchang <liujinchang@uniontech.com>  Wed, 3  Apr 2024 16:14:03 +0800

dde-cooperation (0.7.7) unstable; urgency=medium

  * v0.7.7 release version.
  * fix some UI issues.

 -- liujinchang <liujinchang@uniontech.com>  Wed, 27 Mar 2024 16:29:48 +0800

dde-cooperation (0.7.6) unstable; urgency=medium

  * v0.7.6 release version.
  * fix some UI issues.

 -- liujinchang <liujinchang@uniontech.com>  Tue, 19 Mar 2024 14:25:20 +0800

dde-cooperation (0.7.5) unstable; urgency=medium

  * v0.7.5 release version.
  * linux backend no longer resident

 -- liujinchang <liujinchang@uniontech.com>  Thu, 14 Mar 2024 20:57:29 +0800

dde-cooperation (0.7.4) unstable; urgency=medium

  * v0.7.4 release version.
  * fix port conflict

 -- liujinchang <liujinchang@uniontech.com>  Wed, 13 Mar 2024 10:28:09 +0800

dde-cooperation (0.7.3) unstable; urgency=medium

  * v0.7.3 release version.
  * fix some UI issues.
  * fix retransfer bug.

 -- liujinchang <liujinchang@uniontech.com>  Mon, 11 Mar 2024 15:45:43 +0800

dde-cooperation (0.7.2) unstable; urgency=medium

  * v0.7.2 release version.
  * fix some UI issues.

 -- liujinchang <liujinchang@uniontech.com>  Thu, 29 Feb 2024 9:25:15 +0800

dde-cooperation (0.7.1) unstable; urgency=medium

  * v0.7.1 release version.
  * fix some UI issues.
  * exit backend with frontend for windows.

 -- re2zero <yangwu@uniontech.com>  Fri, 23 Feb 2024 17:36:16 +0800

dde-cooperation (0.7.0) unstable; urgency=medium

  * v0.7.0 release version.
  * fix some UI issues.
  * dde-cooperation supports manual search to discover cross-subnet segment devices.
  * data-transfer supports clicking the back button to go to the next transfer.

 -- liujinchang <liujinchang@uniontech.com>  Thu, 1 Feb 2024 14:06:15 +0800

dde-cooperation (0.6.3) unstable; urgency=medium

  * v0.6.3 release version.
  * fix some UI issues.

 -- liujinchang <liujinchang@uniontech.com>  Thu, 25 Jan 2024 11:20:43 +0800

dde-cooperation (0.6.2) unstable; urgency=medium

  * v0.6.2 release version.
  * fix some UI issues and translation.

 -- liujinchang <liujinchang@uniontech.com>  Tue, 23 Jan 2024 11:17:23 +0800

dde-cooperation (0.6.1) unstable; urgency=medium

  * v0.6.1 release version.
  * fix some UI issues.

 -- liujinchang <liujinchang@uniontech.com>  Fri, 19 Jan 2024 16:11:23 +0800

dde-cooperation (0.6.0) unstable; urgency=medium

  * v0.6.0 release version.
  * fix some UI issues.
  * update setup scripts for windows.

 -- re2zero <yangwu@uniontech.com>  Wed, 17 Jan 2024 18:16:16 +0800

dde-cooperation (0.5.8) unstable; urgency=medium

  * v0.5.8 release version.
  * fix active user issue.

 -- re2zero <yangwu@uniontech.com>  Thu, 11 Jan 2024 11:56:16 +0800

dde-cooperation (0.5.6.5) unstable; urgency=medium

  * v0.5.6.5 release version.

 -- re2zero <yangwu@uniontech.com>  Wed, 10 Jan 2024 17:16:16 +0800

dde-cooperation (0.5.6-1) unstable; urgency=medium

  * v0.5.6 release version.
  * daemon run as admin.
  * mutil-user run for linux.

 -- re2zero <yangwu@uniontech.com>  Wed, 10 Jan 2024 16:16:16 +0800

dde-cooperation (0.5.5-1) unstable; urgency=medium

  * v0.5.5 release version.
  * fix some known issues.

 -- re2zero <yangwu@uniontech.com>  Mon, 08 Jan 2024 17:26:16 +0800

dde-cooperation (0.5.0-1) unstable; urgency=medium

  * v0.5.0 release version.
  * refactor file transfer.
  * fix some known issues.

 -- re2zero <yangwu@uniontech.com>  Thu, 21 Dec 2023 16:36:06 +0800

dde-cooperation (0.4.5-1) unstable; urgency=medium

  * v0.4.5 release version.
  * fix some known issues.

 -- re2zero <yangwu@uniontech.com>  Tue, 12 Dec 2023 16:36:06 +0800

dde-cooperation (0.4.4-1) unstable; urgency=medium

  * v0.4.4 release version.

 -- re2zero <yangwu@uniontech.com>  Fri, 08 Dec 2023 21:26:16 +0800

dde-cooperation (0.4.3-1) unstable; urgency=medium

  * fix some known issues.

 -- re2zero <yangwu@uniontech.com>  Thu, 07 Dec 2023 16:36:40 +0800

dde-cooperation (0.4.2-1) unstable; urgency=medium

  * v0.4.2 release version.

 -- re2zero <yangwu@uniontech.com>  Tue, 05 Dec 2023 10:26:40 +0800

dde-cooperation (0.4.1-1) unstable; urgency=medium

  * Fix some known issues.

 -- re2zero <yangwu@uniontech.com>  Mon, 04 Dec 2023 13:35:40 +0800

dde-cooperation (0.4.0-1) unstable; urgency=medium

  * Integrate new backend with data transfer.
  * Fix some known issues.

 -- re2zero <yangwu@uniontech.com>  Wed, 22 Nov 2023 03:50:16 +0800

dde-cooperation (0.3.8-1) unstable; urgency=medium

  * fix some known issues.

 -- re2zero <yangwu@uniontech.com>  Tue, 14 Nov 2023 18:00:24 +0800

dde-cooperation (0.3.7-7) unstable; urgency=medium

  * v0.3.7 release version.

 -- re2zero <yangwu@uniontech.com>  Tue, 07 Nov 2023 22:53:24 +0800

dde-cooperation (0.3.6-6) unstable; urgency=medium

  * pre-release version.

 -- re2zero <yangwu@uniontech.com>  Tue, 07 Nov 2023 20:53:24 +0800

dde-cooperation (0.3.3-2) unstable; urgency=medium

  * Fix some bug.

 -- liujinchang <liujinchang@uniontech.com>  Thu, 1 Nov 2023 14:30:27 +0800

dde-cooperation (0.3.2-2) unstable; urgency=medium

  * Fix protobuf sources build.

 -- re2zero <yangwu@uniontech.com>  Fri, 20 Oct 2023 15:33:24 +0800

dde-cooperation (0.3.1-1) unstable; urgency=medium

  * Second pre-release package.

 -- re2zero <yangwu@uniontech.com>  Thu, 19 Oct 2023 18:53:55 +0800

dde-cooperation (0.3.0-6) unstable; urgency=medium

  * First pre-release package.

 -- re2zero <yangwu@uniontech.com>  Thu, 19 Oct 2023 10:53:55 +0800

dde-cooperation (0.2.2-5) unstable; urgency=medium

  * Remove submodules.

 -- re2zero <yangwu@uniontech.com>  Thu, 28 Sep 2023 10:53:55 +0800

dde-cooperation (0.2.1-4) unstable; urgency=medium

  * First test package.

 -- re2zero <yangwu@uniontech.com>  Wed, 27 Sep 2023 18:05:07 +0800

dde-cooperation (0.2.0-3) unstable; urgency=medium

  * First build package.

 -- re2zero <yangwu@uniontech.com>  Wed, 27 Sep 2023 15:05:07 +0800

dde-cooperation (0.1.0-2) unstable; urgency=medium

  * First build package.

 -- re2zero <yangwu@uniontech.com>  Thu, 21 Sep 2023 15:05:07 +0800

dde-cooperation (0.0.1-1) unstable; urgency=medium

  * Initial release

 -- xust <xushitong@uniontech.com>  Thu, 07 Sep 2023 15:05:07 +0800
